/* atl_globals.h
 *
 * Misc function prototypes. The functions these are prototyping are
 * mostly all odd calls that have been slapped into stock u-boot code here and there
 * so these mostly serve the purpose of removing warnings.
 */
 
int	atl_bootrom_board_attached(void);

u32	atl_get_offset_from_base(void);
u32	atl_get_flash_increment(void);
u32	atl_get_epi3_location(void);
u32	atl_get_jffs2_part_size(void);
u32	atl_get_uboot_flash_base(void);
u32	atl_get_env_addr(void);

#ifdef CONFIG_MMC_SPI
u8	mmc_spi_card_present(void);
void	mmc_spi_init(u8 booting);
#endif
